package com.YuyeTech.TPlat.service;

import com.YuyeTech.TPlat.dataobject.SignIn;
import com.YuyeTech.TPlat.dataobject.SignInReward;
import com.YuyeTech.TPlat.dataobject.UserWallets;

import java.util.List;

/**
 * @author:slambb
 * @date:2021/8/5
 */
public interface SignInService {

   SignIn findByUserId(String userId);

   void addSignIn(SignIn signIn);

   SignInReward getSignInRewardByDays(Integer days);

   List<SignInReward> getSignInRewardList();
}
